#
# Conditional build:
%bcond_with	doc	# Sphinx documentation
%bcond_with	tests	# unit tests (TODO: re-enable when proper pytest is available in PLD)
%bcond_with	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	attrs - classes without boilerplate
Summary(pl.UTF-8):	attrs - klasy bez ramowego kodu
Name:		python-attrs
Version:	21.4.0
Release:	4%{?tld}
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/attrs/
Source0:	https://files.pythonhosted.org/packages/source/a/attrs/attrs-%{version}.tar.gz
# Source0-md5:	5a9b5e9ceebc380a13fb93235b11bbda
URL:		https://pypi.org/project/attrs/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-coverage
BuildRequires:	python-hypothesis
BuildRequires:	python-pympler
BuildRequires:	python-pytest >= 4.3.0
BuildRequires:	python-six
BuildRequires:	python-zope.interface
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-coverage
BuildRequires:	python3-hypothesis
BuildRequires:	python3-pympler
BuildRequires:	python3-pytest >= 4.3.0
BuildRequires:	python3-six
BuildRequires:	python3-zope.interface
%endif
%endif
%if %{with doc}
BuildRequires:	sphinx-pdg-3
BuildRequires:	python3-furo
BuildRequires:	python3-sphinx-notfound-page
BuildRequires:	python3-zope.interface
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
attrs is the Python package that will bring back the joy of writing
classes by relieving you from the drudgery of implementing object
protocols (aka dunder methods).

%description -l pl.UTF-8
attrs to pakiet Pythona, mający przywrócić radość pisania klas
uwalniając od mordęgi implementowania protokołów obiektów (metod z
podwójnym podkreśleniem).

%package -n python3-attrs
Summary:	attrs - classes without boilerplate
Summary(pl.UTF-8):	attrs - klasy bez ramowego kodu
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.5

%description -n python3-attrs
attrs is the Python package that will bring back the joy of writing
classes by relieving you from the drudgery of implementing object
protocols (aka dunder methods).

%description -n python3-attrs -l pl.UTF-8
attrs to pakiet Pythona, mający przywrócić radość pisania klas
uwalniając od mordęgi implementowania protokołów obiektów (metod z
podwójnym podkreśleniem).

%package apidocs
Summary:	API documentation for Python attrs module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona attrs
Group:		Documentation

%description apidocs
API documentation for Pythona attrs module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona attrs.

%prep
%setup -q -n attrs-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
%{__python} -m pytest tests
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest tests
%endif
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS.rst CHANGELOG.rst LICENSE README.rst
%{py_sitescriptdir}/attr
%{py_sitescriptdir}/attrs
%{py_sitescriptdir}/attrs-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-attrs
%defattr(644,root,root,755)
%doc AUTHORS.rst CHANGELOG.rst LICENSE README.rst
%{py3_sitescriptdir}/attr
%{py3_sitescriptdir}/attrs
%{py3_sitescriptdir}/attrs-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Sat Apr 02 2022 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/python-attrs.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> e4ff62b
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 6fe39c1
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 81c06f3
- rebuild with python 3.10

* Wed Jan 19 2022 Jan Palus <atler@pld-linux.org> 442bb68
- up to 21.4.0

* Tue Dec 14 2021 Jakub Bogusz <qboosh@pld-linux.org> ccd7329
- doc requires furo theme

* Mon Dec 13 2021 Jakub Bogusz <qboosh@pld-linux.org> 625719f
- updated to 21.2.0

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> bdfb04a
- release 2 (by relup.sh)

* Wed Jan 01 2020 Jakub Bogusz <qboosh@pld-linux.org> d34d2ff
- updated to 19.3.0

* Sat Nov 09 2019 Marcin Krol <hawk@tld-linux.org> cac7bf7
- release 4

* Tue Oct 29 2019 Jan Palus <atler@pld-linux.org> a4ef1b0
- disable tests (required pytest version not packaged yet); rel 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> dd9553c
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Oct 06 2019 Jakub Bogusz <qboosh@pld-linux.org> f141191
- updated to 19.2.0

* Sat Nov 24 2018 Jakub Bogusz <qboosh@pld-linux.org> e79203e
- updated to 18.2.0

* Sat Jul 14 2018 Jakub Bogusz <qboosh@pld-linux.org> b9e2540
- new

